Bug 1008088 - Fatal Error partitioning when kickstart has "interactive" option
Fatal Error partitioning when kickstart has "interactive" option
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.4
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-14 11:41 EDT by Nuno Fernandes
Modified: 2017-12-06 06:13 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 06:13:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error with all the default options (47.51 KB, image/png)
2013-09-14 11:41 EDT, Nuno Fernandes
no flags Details

  None (edit)
Description Nuno Fernandes 2013-09-14 11:41:21 EDT
Created attachment 797659 [details]
error with all the default options

Description of problem:
When i try to install with a kickstart with only the "interactive" option and nothing else, partition fails with a fatal error if the harddisk is not initialized.

Version-Release number of selected component (if applicable):


How reproducible:
Install with the option ks=cdrom:/ks.cfg with ks.cfg with only the "interactive" option and nothing else. If the harddisk where you are going to install rhel is not initialized (eg. virtual disk or never used disk) it fails with a fatal error that you can see attached

Steps to Reproduce:
1. qemu-img create /tmp/npf.img 10G  # create a new disk. It's not initialized
2. qemu-kvm -cdrom /tmp/rhel.iso -hdb /tmp/npf.img -m 1024 -vga std  -boot d
3. boot with options  ks:url/ks.cfg    and ks.cfg only has the "interactive" option
4. Choose all the default options

Actual results:
It fails with a fatal error: (see the attached image)

Expected results:
It should default partition the disk. If the harddisk is initialized it works fine. It fails only when the harddisk is not initialized.

Additional info:
Reading https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Installation_Guide/s1-kickstart2-options.html the "interactive" is a supported option.
Comment 2 RHEL Product and Program Management 2013-10-13 22:10:58 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Nuno Fernandes 2013-10-14 04:05:24 EDT
Hello,

Please consider it to the next release.

Thanks,
Nuno Fernandes
Comment 4 Jan Kurik 2017-12-06 06:13:14 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.